--- title: "getCloudCacheBackupDetailList" slug: "database-vcache-getcloudcachebackupdetaillist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcachebackupdetaillist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheBackupDetailList Available in VPC Get the list of available Cloud DB for Cache system backup details. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheBackupDetailList API: Support for Valkey and Redis DBMS - getCloudRedisBackupDetailList API: Support for Redis DBMS ## getCloudCacheBackupDetailList API This section describes the request and response formats for the getCloudCacheBackupDetailList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /getCloudCacheBackupDetailList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the system backup details list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudCacheInstanceNo` | String | Required | Cloud DB for Cache instance number - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheBackupDetailList ?regionCode=KR &cloudCacheInstanceNo=****821' --header 'x-ncp-apigw-timestamp: {Timestamp}' --header 'x-ncp-iam-access-key: {Access Key}' --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudCacheBackupDetailList](/docs/en/common-vapidatatype-cloudcachebackupdetaillist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=xml` (default) ``` ```xmlequestId>2e320a76-469e-4f28-81b0-a03ea6c8053b 0 ge> 2e320a76-469e-4f28-81b0-a03ea6c8053b 0t> success 105-12T16:00:00+0900 16:00:00+0900 kupSize> 2021-05-12T16:00:00+0900 2021-05-12T16:00:00+0900 116 10737418240 ame="getCloudCacheBackupDetailList API"> ``` ## getCloudRedisBackupDetailList API This section describes the request and response formats for the getCloudRedisBackupDetailList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisBackupDetailList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the system backup details list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudRedisInstanceNo` | String | Required | Cloud DB for Cache instance number - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisBackupDetailList ?regionCode=KR &cloudRedisInstanceNo=****511' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudRedisBackupDetailList](/docs/en/common-vapidatatype-cloudredisbackupdetaillist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisBackupDetailListResponse": { "totalRows": 1, "cloudRedisBackupDetailList": [ { "startTime": "2024-07-02T06:15:02+0900", "endTime": "2024-07-02T06:15:02+0900", "backupSize": 525, "dataStorageSize": 10737418240, "fileName": "20240702" } ], "requestId": "7fff7545-****-****-****-7ee52b044aa3", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 7fff7545-****-****-****-7ee52b044aa3 0 success 1 2024-07-02T06:15:02+0900 2024-07-02T06:15:02+0900 525 10737418240 20240702 ```